<?php

class formWidgetStylelistOptions extends cmsForm {

    public function init($options, $css_file) {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldList('options:style_file', array(
					
                        'title' => LANG_WD_STYLELIST_SELECT,
						'hint'  => LANG_WD_STYLELIST_SELECT_HINT,
						'generator' => function($item) {
                            $css_file = cmsCore::getFilesList('templates/'.cmsConfig::get('template').'/css/page_styling', 'style_*.css', true);
                            $css_file_default = cmsCore::getFilesList('templates/default/css/page_styling', 'style_*.css', true);
                            $css_file = array_unique(array_merge($css_file, $css_file_default));
                            //return $css_file ? array_combine($css_file, $css_file) : array();
							return $css_file ? array(''=>LANG_SELECT) + array_combine($css_file, $css_file) : array();
                        }					
                    
					)),

					new fieldHtml('options:user_style', array(
                        'title' => LANG_WD_STYLELIST_USER_STYLE,
						'hint'  => LANG_WD_STYLELIST_USER_STYLE_HINT,
                        'options' => array('editor' => 'ace'),
                        'rules' => array(
                            array()
                        )
                    ))

                )
            ),

        );

    }

}

